/* avagl: parameters.hh
 * 
 * Copyright 2003 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef INCLUDED_parameters
#define INCLUDED_parameters
#include <string>
#include <map>

class Parameters {
private:
	std::map<std::string, std::string> opt;
public:
	Parameters(int, char **, char **);
	bool exist(const std::string &) const;
	double get_double(const std::string &) const;
	int get_int(const std::string &) const;
	const std::string & get_string(const std::string &) const;
};
#endif
